Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
EggMultiFilter Class Reference

This is a base class for a program that reads in a number of egg files, operates on them, and writes them out again (presumably to a different directory). More...

`#include "eggMultiFilter.h"`

Inheritance diagram for EggMultiFilter:

## Public Member Functions
| EggMultiFilter (bool allow_empty=false)
Public Member Functions inherited from EggMultiBase
void | post_process_egg_files ()
| Performs any processing of the egg file(s) that is appropriate before writing them out.
Public Member Functions inherited from EggBase
void | add_normals_options ()
| Adds -no, -np, etc.
void | add_points_options ()
| Adds -points as a valid option for this program.
void | add_transform_options ()
| Adds -TS, -TT, etc.
Public Member Functions inherited from ProgramBase
| ProgramBase (const std::string &name=std::string())
std::string | get_exec_command () const
| Returns the command that invoked this program, as a shell-friendly string, suitable for pasting into the comments of output files.
virtual void | parse_command_line (int argc, char **argv)
| Dispatches on each of the options on the command line, and passes the remaining parameters to handle_args().
void | show_description ()
| Writes the program description to stderr.
void | show_options ()
| Describes each of the available options to stderr.
void | show_text (const std::string &prefix, int indent_width, std::string text)
| Formats the indicated text and its prefix for output to stderr with the known _terminal_width.
void | show_text (const std::string &text)
| Formats the indicated text to stderr with the known _terminal_width.
void | show_usage ()
| Writes the usage line(s) to stderr.
void | write_man_page (std::ostream &out)
| Generates a man page in nroff syntax based on the description and options.

## Additional Inherited Members
Public Types inherited from ProgramBase
typedef pdeque< std::string > | Args
Static Public Member Functions inherited from EggBase
static void | convert_paths (EggNode *node, PathReplace *path_replace, const DSearchPath &additional_path)
| Recursively walks the egg hierarchy.
Public Attributes inherited from ProgramBase
Args | _program_args
Filename | _program_name

## Detailed Description

This is a base class for a program that reads in a number of egg files, operates on them, and writes them out again (presumably to a different directory).

Definition at line 26 of file eggMultiFilter.h.

## Constructor & Destructor Documentation

## ◆ EggMultiFilter()

EggMultiFilter::EggMultiFilter | ( | bool | allow_empty = false | ) |

Definition at line 22 of file eggMultiFilter.cxx.

The documentation for this class was generated from the following files:

- pandatool/src/eggbase/eggMultiFilter.h
- pandatool/src/eggbase/eggMultiFilter.cxx